com.corticon.rulesemf.canonicalvocabularymodel

## Class DataType

- java.lang.Object
- - org.eclipse.emf.common.util.AbstractEnumerator
  - - com.corticon.rulesemf.canonicalvocabularymodel.DataType

- All Implemented Interfaces:
    java.io.Serializable, org.eclipse.emf.common.util.Enumerator

      public final class DataType
      extends org.eclipse.emf.common.util.AbstractEnumerator

  A representation of the literals of the enumeration 'Data Type', and utility methods for working with them.
  See Also:
    `CanonicalvocabularymodelPackage.getDataType()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOOLEAN` The 'Boolean' literal value
    `static DataType` | `BOOLEAN_LITERAL` The 'Boolean' literal object
    `static int` | `DATE` The 'Date' literal value
    `static DataType` | `DATE_LITERAL` The 'Date' literal object
    `static int` | `DATE_TIME` The 'Date Time' literal value
    `static DataType` | `DATE_TIME_LITERAL` The 'Date Time' literal object
    `static int` | `DECIMAL` The 'Decimal' literal value
    `static DataType` | `DECIMAL_LITERAL` The 'Decimal' literal object
    `static int` | `INTEGER` The 'Integer' literal value
    `static DataType` | `INTEGER_LITERAL` The 'Integer' literal object
    `static int` | `STRING` The 'String' literal value
    `static DataType` | `STRING_LITERAL` The 'String' literal object
    `static int` | `TIME` The 'Time' literal value
    `static DataType` | `TIME_LITERAL` The 'Time' literal object
    `static int` | `UNSPECIFIED` The 'Unspecified' literal value
    `static DataType` | `UNSPECIFIED_LITERAL` The 'Unspecified' literal object
    `static java.util.List` | `VALUES` A public read-only list of all the 'Data Type' enumerators

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataType` | `get(int value)` Returns the 'Data Type' literal with the specified integer value
    `static DataType` | `get(java.lang.String literal)` Returns the 'Data Type' literal with the specified literal value
    `static DataType` | `getByName(java.lang.String name)` Returns the 'Data Type' literal with the specified name

    - ### Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator

      `getLiteral, getName, getValue, toString, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNSPECIFIED

          public static final int UNSPECIFIED

      The 'Unspecified' literal value.

      If the meaning of 'Unspecified' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UNSPECIFIED_LITERAL`, Constant Field Values

    - #### BOOLEAN

          public static final int BOOLEAN

      The 'Boolean' literal value.

      If the meaning of 'Boolean' literal object isn't clear, there really should be more of a description here...

      See Also:
        `BOOLEAN_LITERAL`, Constant Field Values

    - #### INTEGER

          public static final int INTEGER

      The 'Integer' literal value.

      If the meaning of 'Integer' literal object isn't clear, there really should be more of a description here...

      See Also:
        `INTEGER_LITERAL`, Constant Field Values

    - #### DECIMAL

          public static final int DECIMAL

      The 'Decimal' literal value.

      If the meaning of 'Decimal' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DECIMAL_LITERAL`, Constant Field Values

    - #### STRING

          public static final int STRING

      The 'String' literal value.

      If the meaning of 'String' literal object isn't clear, there really should be more of a description here...

      See Also:
        `STRING_LITERAL`, Constant Field Values

    - #### DATE_TIME

          public static final int DATE_TIME

      The 'Date Time' literal value.

      If the meaning of 'Date Time' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DATE_TIME_LITERAL`, Constant Field Values

    - #### DATE

          public static final int DATE

      The 'Date' literal value.

      If the meaning of 'Date' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DATE_LITERAL`, Constant Field Values

    - #### TIME

          public static final int TIME

      The 'Time' literal value.

      If the meaning of 'Time' literal object isn't clear, there really should be more of a description here...

      See Also:
        `TIME_LITERAL`, Constant Field Values

    - #### UNSPECIFIED_LITERAL

          public static final DataType UNSPECIFIED_LITERAL

      The 'Unspecified' literal object.
      See Also:
        `UNSPECIFIED`

    - #### BOOLEAN_LITERAL

          public static final DataType BOOLEAN_LITERAL

      The 'Boolean' literal object.
      See Also:
        `BOOLEAN`

    - #### INTEGER_LITERAL

          public static final DataType INTEGER_LITERAL

      The 'Integer' literal object.
      See Also:
        `INTEGER`

    - #### DECIMAL_LITERAL

          public static final DataType DECIMAL_LITERAL

      The 'Decimal' literal object.
      See Also:
        `DECIMAL`

    - #### STRING_LITERAL

          public static final DataType STRING_LITERAL

      The 'String' literal object.
      See Also:
        `STRING`

    - #### DATE_TIME_LITERAL

          public static final DataType DATE_TIME_LITERAL

      The 'Date Time' literal object.
      See Also:
        `DATE_TIME`

    - #### DATE_LITERAL

          public static final DataType DATE_LITERAL

      The 'Date' literal object.
      See Also:
        `DATE`

    - #### TIME_LITERAL

          public static final DataType TIME_LITERAL

      The 'Time' literal object.
      See Also:
        `TIME`

    - #### VALUES

          public static final java.util.List VALUES

      A public read-only list of all the 'Data Type' enumerators.

  - ### Method Detail

    - #### get

          public static DataType get(java.lang.String literal)

      Returns the 'Data Type' literal with the specified literal value.

    - #### getByName

          public static DataType getByName(java.lang.String name)

      Returns the 'Data Type' literal with the specified name.

    - #### get

          public static DataType get(int value)

      Returns the 'Data Type' literal with the specified integer value.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.